/*
 * Dot.cpp
 *
 *  Created on: 16. 8. 2017
 *	  Author: Jan Travnicek
 */

#include "Dot.h"
#include <registration/AlgoRegistration.hpp>
#include <cstdlib>

namespace cli {

namespace builtin {

void Dot::dot ( const std::string & data ) {
	std::system ( ( "dot -Tx11 <<DOTDATA\n" + data + "\nDOTDATA" ).c_str ( ) );
}

auto DotString = registration::AbstractRegister < Dot, void, const std::string & > ( Dot::dot );

} /* namespace builtin */

} /* namespace cli */

